import greenfoot.*;

/**
 * This is the ocean, where the shark and the fish live.
 * 
 * Kathryn and Grace
 * May 19th, 2016
 */
public class Ocean extends World
{
    private int score;
    private int time;
    /**
     * Constructor for objects of class Ocean.
     * 
     */
    public Ocean()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(1100, 619, 1); 
        score = 0;
        time = 300;
        showScore();
        showTime();
        prepare();
    }
    /**
     * Add some points to our current score.
     */
    public void addScore(int points)
    {
        score = score + points;
        showScore();
        }
    
     /**
     * Show our current score on screen.
     */
    private void showScore()
    {
        showText("Score: " + score, 80, 25);
    }
    /**
     * Count down the game time and display it. Stop the game 
     * with an end game message when the time is up.
     */
    private void countTime()
    {
        time--;
        showTime();
        if (time == 0)
        {
            showEndMessage();
            Greenfoot.playSound("game-over.wav");
            Greenfoot.stop();
        }
    }
     /**
     * Show the remaining game time on screen.
     */
    private void showTime()
    {
        showText("Time: " + time, 700, 25);
    }
    /**
     * Show the end-of-game message on screen.
     */
    private void showEndMessage()
    {
        showText("Time is up!", 390, 150);
        showText("Your final score: " + score + " points", 390, 170);
    }
    /**
     * This is the act method, which counts down the time left.
     */
    public void act()
    {
        countTime();
    }
    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Shark shark = new Shark();
        addObject(shark, 133, 285);
        SlowFish slowfish = new SlowFish();
        addObject(slowfish, 156, 99);
        SlowFish slowfish2 = new SlowFish();
        addObject(slowfish2, 447, 139);
        SlowFish slowfish3 = new SlowFish();
        addObject(slowfish3, 441, 315);
        SlowFish slowfish4 = new SlowFish();
        addObject(slowfish4, 284, 492);
        SlowFish slowfish5 = new SlowFish();
        addObject(slowfish5, 597, 554);
        SlowFish slowfish6 = new SlowFish();
        addObject(slowfish6, 626, 328);
        SlowFish slowfish7 = new SlowFish();
        addObject(slowfish7, 729, 78);
        SlowFish slowfish8 = new SlowFish();
        addObject(slowfish8, 954, 87);
        SlowFish slowfish9 = new SlowFish();
        addObject(slowfish9, 934, 248);
        SlowFish slowfish10 = new SlowFish();
        addObject(slowfish10, 754, 256);
        SlowFish slowfish11 = new SlowFish();
        addObject(slowfish11, 898, 482);
        SlowFish slowfish12 = new SlowFish();
        addObject(slowfish12, 740, 557);
        SlowFish slowfish13 = new SlowFish();
        addObject(slowfish13, 770, 390);
        SlowFish slowfish14 = new SlowFish();
        addObject(slowfish14, 1033, 359);
        SlowFish slowfish15 = new SlowFish();
        addObject(slowfish15, 1032, 545);
        SlowFish slowfish16 = new SlowFish();
        addObject(slowfish16, 277, 225);
        SlowFish slowfish17 = new SlowFish();
        addObject(slowfish17, 413, 436);
        FastFish fastfish = new FastFish();
        addObject(fastfish, 1046, 182);
        FastFish fastfish2 = new FastFish();
        addObject(fastfish2, 612, 189);
        FastFish fastfish3 = new FastFish();
        addObject(fastfish3, 540, 475);
        FastFish fastfish4 = new FastFish();
        addObject(fastfish4, 406, 579);
        FastFish fastfish5 = new FastFish();
        addObject(fastfish5, 63, 97);
        FastFish fastfish6 = new FastFish();
        addObject(fastfish6, 400, 61);
        FastFish fastfish7 = new FastFish();
        addObject(fastfish7, 97, 537);
        FastFish fastfish8 = new FastFish();
        addObject(fastfish8, 872, 343);
        FastFish fastfish9 = new FastFish();
        addObject(fastfish9, 1050, 474);
        FastFish fastfish10 = new FastFish();
        addObject(fastfish10, 841, 84);
        removeObject(shark);
        Shark shark2 = new Shark();
        addObject(shark2, 161, 318);
    }
}


